Bug 1108555 - Installer errors in production.log - 1.) PGError: ERROR: relation "users" does not exist 2.) pulp user admin: already exists
Summary: Installer errors in production.log - 1.) PGError: ERROR: relation "users" do...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 08:55 UTC by Sachin Ghai
Modified: 2014-07-30 19:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 19:36:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Logs from /var/log/messages (9.25 KB, text/x-log)
2014-06-12 08:56 UTC, Sachin Ghai
no flags Details
foreman-debug (76.84 KB, application/x-xz)
2014-06-12 09:00 UTC, Sachin Ghai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1115744 0 unspecified CLOSED pulp errors upon install 2021-02-22 00:41:40 UTC

Internal Links: 1115744

Description Sachin Ghai 2014-06-12 08:55:54 UTC
Description of problem:
Installed sat6 beta snap9 and ran katello-installer. On completion installer has thrown message Success.

However I found following failures in production.log

---
Connecting to database specified by database.yml
PGError: ERROR:  relation "users" does not exist
LINE 1: SELECT id FROM "users" 
                       ^
: SELECT id FROM "users" 
Database was not initialized yet: skipping smart proxy katello extension
Clean start.
---

---
Creating scope :from_depth. Overwriting existing method Hostgroup.from_depth.
Creating scope :after_depth. Overwriting existing method Hostgroup.after_depth.
[ERROR 2014-06-12 07:44:40 pulp_rest  #32670] RestClient.post "https://dhcp201-103.englab.pnq.redhat.com/pulp/api/v2/users/", "{\"login\":\"admin\",\"name\":\"admin\",\"password\":\"pQ6UkHtjDFjYzexk\"}", "Accept"=>"*/*; q=0.5, application/xml", "Accept-Encoding"=>"gzip, deflate", "Authorization"=>"OAuth oauth_body_hash=\"2jmj7l5rSw0yVb%2FvlWAYkK%2FYBwk%3D\", oauth_consumer_key=\"katello\", oauth_nonce=\"EWEBRFIiTG6GqixSMF4mwJMS3hiehrktyidnvtc\", oauth_signature=\"L63znmLeUNUnG4RZEa50kgYvJ3M%3D\", oauth_signature_method=\"HMAC-SHA1\", oauth_timestamp=\"1402539280\", oauth_version=\"1.0\"", "Content-Length"=>"62", "accept"=>"application/json", "content_type"=>"application/json", "pulp-user"=>"admin"
 | \n# => 409 Conflict | application/json 317 bytes
 | 
pulp user admin: already exists. continuing
Creating scope :roots. Overwriting existing method Hostgroup.roots.
Cr
---


Version-Release number of selected component (if applicable):
sat6 beta snap9 (Satellite-6.0.3-RHEL-6-20140611.1)

How reproducible:
always

Steps to Reproduce:
1. install sat6 beta snap9 and run katello-installer
2.
3.

Actual results:
Success on stdout but production.log has above mentioned two errors

Expected results:
no error should be there on fresh install in production.log

Additional info:

/var/log/messages has errors:

Jun 12 07:44:40 dhcp201-103 pulp: pulp.server.webservices.middleware.exception:ERROR: Duplicate resource: admin
Jun 12 07:44:40 dhcp201-103 pulp: pulp.server.webservices.middleware.exception:ERROR: Traceback (most recent call last):
Jun 12 07:44:40 dhcp201-103 pulp: pulp.server.webservices.middleware.exception:ERROR:   File "/usr/lib/python2.6/site-packages/pulp/server/webservices/middleware/exception.py", line 44, in __call__
Jun 12 07:44:40 dhcp201-103 pulp: pulp.server.webservices.middleware.exception:ERROR:     return self.app(environ, start_response)
Jun 12 07:44:40 dhcp201-103 pulp: pulp.server.webservices.middleware.exception:ERROR:   File "/usr/lib/python2.6/site-packages/pulp/server/webservices/middleware/postponed.py", line 42, in __call__
Jun 12 07:44:40 dhcp201-103 pulp: pulp.server.webservices.middleware.exception:ERROR:     return self.app(environ, start_response)
Jun 12 07:44:40 dhcp201-103 pulp: pulp.server.webservices.middleware.exception:ERROR:   File "/usr/lib/python2.6/site-packages/web/application.py", line 279, in wsgi

Comment 1 Sachin Ghai 2014-06-12 08:56:45 UTC
Created attachment 908010 [details]
Logs from /var/log/messages

Comment 2 Sachin Ghai 2014-06-12 09:00:22 UTC
Created attachment 908012 [details]
foreman-debug

Comment 4 Sachin Ghai 2014-06-13 03:09:25 UTC
snap9 compose2 also raising same errors in production.log

Comment 5 Corey Welton 2014-07-30 19:36:40 UTC
I recall seeing this in the past, but I am not seeing in recent installs.  We can reopen if it appears again.


Note You need to log in before you can comment on or make changes to this bug.